Guide: Perfect Privacy VPN with Ubuntu

PP Stephan

Staff member
This thread refers to the Howto Perfect Privacy VPN with Ubuntu. Please only post in this thread if you have questions, comments or feedback regarding this howto. To keep this thread updated and free from obsolete and redundant information, this thread will be cleaned up occasionally.
 
Last edited:

trevor1317

New Member
I have ubuntu 17.10 and it is not possible to install the perfect privacy openvpn manager
it is also not possible to install gdebi
 

QQQ

New Member
repro, crashes on ubuntu 17, uninstall/re-install does not fix it
x@X:~$ perfect-privacy-vpn
Invalid MIT-MAGIC-COOKIE-1 keyUnable to init server: Could not connect: Connection refused
Invalid MIT-MAGIC-COOKIE-1 keyUnable to init server: Could not connect: Connection refused
/usr/bin/perfect-privacy-vpn: line 3: 17703 Segmentation fault pkexec /opt/perfect_privacy/perfect-privacy-vpn/bin/perfect-privacy-vpn
 

PP Stephan

Staff member
This sounds unusual. What exact Ubuntu version is that?

Did you install any other desktop/Windows manager?

Also, can you please check the file usr/share/polkit-1/actions/com.perfect-privacy.perfect-privacy-vpn.policy

Look for that line that says

Code:
rg.freedesktop.policykit.exec.allow_gui

Does it say "TRUE" for this entry? If so, please try changing it to "true".
 
Last edited by a moderator:

Zandros

Freshly Joined Member
Hi. I have a Windows and a Linux PC. Windows is easy and works fine. On the Linux PC I'm using Mint 19.
Installation went fine but when I connect to a server it blocks all my internet traffic. The test page from the tutorial doesn't load. I have no clue what I'm doing wrong.
 

nobodysfool

Freshly Joined Member
You do nothing wrong,it happens to me too,on linux 19.1 and the latest ubuntu,it connects to PP but no browser works,all blocked,With earlier Mint it works like always
 
Last edited:

Zandros

Freshly Joined Member
I was in contact with Werner from PP and after a few exchanges we came to a solution for the Mint 19 problem: sudo apt-get install resolvconf
The problem was with the DNS resolving. I hope this helps you out as well.
Thanks Werner!
 

fbn6

New Member
Ubuntu 20.04 was released and is the go to version for any new installation, not to mention that everyone is upgrading since it's a great release.

However the client does not work, you get this if you try to install it:


The following packages have unmet dependencies.
perfect-privacy-vpn : Depends: python-requests (>= 0.8.8~) but it is not installable
E: Unable to correct problems, you have held broken packages.


The documentation on https://www.perfect-privacy.com/en/manuals/linux_vpnmanager_install should be updated to include information about this, and work should be started asap to remediate the situation. Possibly post a Beta client so that people can start testing it.
 

Golemhacker

Freshly Joined Member
a moderator postet it in another discussion
 
Top